Revision
300
Author
misc
Date
2010-11-19 01:24:16 +0100 (Fri, 19 Nov 2010)

Log Message

- add the generic hook

Added Paths

Added: puppet/modules/subversion/templates/hook_commit.sh
===================================================================
--- puppet/modules/subversion/templates/hook_commit.sh	                        (rev 0)
+++ puppet/modules/subversion/templates/hook_commit.sh	2010-11-19 00:24:16 UTC (rev 300)
@@ -0,0 +1,13 @@
+#!/bin/sh
+for script in $0.d/*; do
+    if [ ! -x "$script" ]; then
+        continue
+    fi
+
+    if [[ "$script" == *~ ]]; then
+        continue
+    fi
+
+    $script $@ || exit 1
+done
+